# NOTE: tests are disabled since should_be has not yet been packaged.
%global pypi_name gssapi

Name:           python-%{pypi_name}
Version:        1.8.3
Release:        %mkrel 3
Summary:        Python Bindings for GSSAPI (RFC 2743/2744 and extensions)
Group:          Development/Python

License:        ISC
URL:            https://pypi.org/project/gssapi/
Source0:        %{pypi_source}

BuildRequires:  krb5-devel >= 1.19
BuildRequires:  python3-devel
BuildRequires:  python3-Cython
BuildRequires:  python3-wheel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(decorator)

# For autosetup
BuildRequires: git-core

%global _description\
A set of Python bindings to the GSSAPI C library providing both\
a high-level pythonic interfaces and a low-level interfaces\
which more closely matches RFC 2743.  Includes support for\
RFC 2743, as well as multiple extensions.

%description %_description

%package -n python3-gssapi
Summary:        Python 3 Bindings for GSSAPI (RFC 2743/2744 and extensions)
Requires:       krb5-libs >= 1.19

%description -n python3-gssapi %_description

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files gssapi

%check
# Check import everything except the tests, as we don't have the tests deps
%pyproject_check_import -e 'gssapi.tests*'

%files -n python3-gssapi -f %{pyproject_files}
%doc README.txt


%changelog
* Mon Dec 25 2023 papoteur <papoteur> 1.8.3-3.mga10
+ Revision: 2021379
- rebuild for python 3.12

* Sat Dec 09 2023 wally <wally> 1.8.3-2.mga10
+ Revision: 2016394
- rebuild for py3.12

* Mon Sep 11 2023 papoteur <papoteur> 1.8.3-1.mga10
+ Revision: 1986207
- new 1.8.3

* Sat Dec 17 2022 guillomovitch <guillomovitch> 1.8.2-1.mga9
+ Revision: 1924274
- new version 1.8.2

* Tue Mar 22 2022 guillomovitch <guillomovitch> 1.7.3-1.mga9
+ Revision: 1816801
- imported package python-gssapi

